function Qvec=QvecfromP(P,deltat)
%get a Q matrix from a P matrix
%use only the real part of logm(P)
%set negative elements to a tiny positive value
%and return a vector of the offdiagonals
%SYNTAX
%Qvec=QvecfromP(P,deltat)
%INPUTS
%P is a P matrix
%deltat is time interval
%OUTPUTS
%Qvec is a vector of the off-diagonal elements in the Q matrix, moving down
%cols then across rows

ncat=size(P,1);
temp=real(logm(P))/deltat;
temp(logical(temp<0))=eps;
Qvec=temp(logical(~eye(ncat)));
