function randseed=setrandseed(randseed,noisy)
%initialize the pseudorandom number generator
%SYNTAX
%randseed=setrandseed(randseed,noisy)
%INPUTS
%randseed is either a scalar seed or a state of the generator
%if noisy is true, displays what we set the seed to
%OUTPUTS
%sets the seed to the value in randseed

if nargin<1 || isempty(randseed)
    randseed=sum(100*clock);
end;
if nargin<2
    noisy=false;
end;

rand('state',randseed);
if noisy
    disp('pseudorandom number generator seed set to ');
    disp(num2str(randseed));
end;